import request from '@/utils/request'



// 根据参数键名查询参数值
export function getConfigKey(configKey) {
  return request({
    url: '/company/config/configKey/' + configKey,
    method: 'get'
  })
}


// 修改参数配置
export function updateConfig(data) {
  return request({
    url: '/company/config',
    method: 'put',
    data: data
  })
}

//配置公司默认是否开启小黑屋
export function configUserCheck(data) {
  return request({
    url: '/company/company/configUserCheck',
    method: 'post',
    params: data
  })
}

//配置公司默认是否开启小黑屋
export function config(data) {
  return request({
    url: '/company/company/config',
    method: 'post',
    data: data
  })
}


