const state = {
  shareCourse: null,
  totalUnreadCount: 0
}

const mutations = {
  SHARE_COURSE: (state, data) => {
    state.shareCourse = data
  },
  TOTAL_UNREAD_COUNT: (state, data) => {
    state.totalUnreadCount = data
  }
}

const actions = {
  shareCourse({ commit }, data) {
    commit('SHARE_COURSE', data)
  },
  totalUnreadCount({ commit }, data) {
    commit('TOTAL_UNREAD_COUNT', data)
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}
